# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/glitz/glitz-0.4.4.ebuild,v 1.6 2006/01/04 23:23:46 halcy0n Exp $

inherit eutils cvs multilib

ECVS_SERVER="cvs.freedesktop.org:/cvs/cairo"
ECVS_MODULE="glitz"
S=${WORKDIR}/${ECVS_MODULE}


DESCRIPTION="An OpenGL image compositing library"
HOMEPAGE="http://www.freedesktop.org/Software/glitz"
#SRC_URI="http://cairographics.org/snapshots/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="virtual/opengl"

src_compile() {
	./autogen.sh --host=${CHOST} \
		--libdir=/usr/$(get_libdir) \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man || die

	emake || die
}

src_install() {
	make DESTDIR="${D}" install || die
	dodoc AUTHORS ChangeLog README TODO
}
